diff --git a/pkg/mac/build.sh b/pkg/mac/build.sh
index d39a01b..8796b50 100755
--- a/pkg/mac/build.sh
+++ b/pkg/mac/build.sh
@@ -79,7 +79,7 @@ _create_python_virtualenv() {
     export LD_LIBRARY_PATH=$PGDIR/lib:$_LD_LIBRARY_PATH
     test -d $BUILDROOT || mkdir $BUILDROOT || exit 1
     cd $BUILDROOT
-    test -d $VIRTUALENV || virtualenv -p $PYTHON $VIRTUALENV || exit 1
+    test -d $VIRTUALENV || virtualenv --always-copy -p $PYTHON $VIRTUALENV || exit 1
     source $VIRTUALENV/bin/activate
     $PIP install -r $SOURCEDIR/$REQUIREMENTS || { echo PIP install failed. Please resolve the issue and rerun the script; exit 1; }
 
@@ -87,7 +87,7 @@ _create_python_virtualenv() {
     export PYMODULES_PATH=`python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"`
     export DIR_PYMODULES_PATH=`dirname $PYMODULES_PATH`
     if test -d $DIR_PYMODULES_PATH; then
-        mv $DIR_PYMODULES_PATH $DIR_PYMODULES_PATH/../python
+        ln -s $DIR_PYMODULES_PATH $DIR_PYMODULES_PATH/../python
     fi
 }
 
